Bug 117386 - ccm upgrade command does not enforce application version dependnacies
ccm upgrade command does not enforce application version dependnacies
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-03 10:21 EST by Daniel Berrange
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:35:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-03-03 10:21:44 EST
Description of problem:
Consider the 'portal' and 'navigation' applications. Version 1.0 of
navigation has a dependancy on version 1.0 of portal. Now the next
release of navigation (1.1) comes along & has a dependancy on version
2.0 of portal. When you run 'ccm upgrade ccm-navigation', however, it
does nothing to check that you've

a) Installed the 1.1 version of navigation
b) Run the upgrade scripts for this version

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install RPMS portal 1.0 & navigation 1.0
2. Load the applications with ccm load
3. Upgrade the RPM for portal to 2.0 and navigation to 1.1
4. Run the upgrade for 'navigation'

Actual results:
Errors because portal has not yet been upgrade 

Expected results:
If the command is 

  ccm upgrade navigation

then a error message should be printed & no action taken

if the command is

  ccm upgrade portal navigation

then they should be upgraded in dependancy sorted order.


Additional info:
Comment 1 Justin Ross 2004-03-03 13:32:16 EST
This one requires installed-package metadata that we don't have
(though we've discussed adding it to support the smarter "ccm upgrade
navigation".  And since adding that metadata requires[1] refactoring
loading and initialization, we should do it after the upcoming release.

[1] "requires" is a little strong here.  It could be tacked on to the
existing infrastructure and so avoid refactoring initialization and
require only simpler to changes to loading, but this would have to be
de-tacked-on afterward, so I think it's a bad idea.
Comment 2 Daniel Berrange 2006-09-02 13:35:14 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.